Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.service.timestamp
Interface AuthorityService

All Known Implementing Classes:
  AuthorityServiceImpl

    public interface AuthorityService

The Interface AuthorityService. Default impl : `AuthorityServiceImpl`

Method Summary
`SignResponse` | `signRequest(X509Certificate certificate, PrivateKey privateKey, SignRequest request)` This operation can be used to either make a time stamp of one or more documents, or to make a time stamp of the hash value of the original documents.

Method Detail

### signRequest

    SignResponse signRequest(X509Certificate certificate,
                             PrivateKey privateKey,
                             SignRequest request)
                             throws TechnicalConnectorException

  This operation can be used to either make a time stamp of one or more documents, or to make a time stamp of the hash value of the original documents.

  Parameters:
    `certificate` - X.509 certificate, that includes the public key, of the organization invoking this service. This certificate is used for applying the required web service security policy. Eventually it is used for authentication and authorization purposes by the eHealth-platform.
    `privateKey` - Private key, linked to the X.509 certificate mentioned above.
    `request` - Request message for the Sign Request operation.
  Returns:
    the sign response Response message that is received from the Sign Request operation. This response contains:
    - a valid response: type SignResponse that contains a time stamp Object;
    - or a global error when the processing failed completely.
  Throws:
    `TechnicalConnectorException` - the technical connector exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.